Subject: [bug#68241] [PATCH] gnu: python: Fix sitecustomize.py

From: Konrad Hinsen <[email-masked]>
Date: Mon, 08 Jan 2024 10:14:14 +0100

Hi Ludo,

> Also, do I get it right that the patch you sent fixes more than #53258?

#53258 is two things: a weird error message, and a failure to run valid
Python code, the two being possibly related.

My patch fixes the error message. The Python example that Marek gave
already works fine in today's Guix, so it was probably fixed by
something else as a side effect.

Could the bug that causes the error message also mess up valid Python
code? In theory, yes, but I don't have an example at hand.

Cheers,
  Konrad.